ch.dieseite.colladaloader.asmbeans

## Class DescriptorCommon

- java.lang.Object
- - ch.dieseite.colladaloader.asmbeans.DescriptorCommon

-     public class DescriptorCommon
      extends java.lang.Object

  this class is the named descriptor, defined in LinkingSchema (<interface>) whose handle main I/O relations between assembler classes and upper layer main class.

  Purpose of this interface is setting startparams (i.e. file paths) and getting end results back when DataAssembler is done (i.e Triangles and Lines) Any such defined interface must have a constructor like "AnyName(Properties colladaMetaData, DataAssembler.LoadingListener ltnr)"

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.1
  Author:
    Markus Zimmermann http://www.die-seite.ch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `daePath`
    `private boolean` | `ignoreTex`
    `private DataAssembler.LoadingListener` | `l`
    `private java.util.ArrayList<Line>` | `lins`
    `private java.util.ArrayList<Triangle>` | `tris`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptorCommon(java.util.Properties colladaMetaData, DataAssembler.LoadingListener lstnr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLines(java.util.ArrayList<Line> subList)` Add Lines to master cache
    `void` | `addTriangles(java.util.ArrayList<Triangle> subList)` Add Triangles to master cache
    `java.lang.String` | `getDaePath()` returns current Location of collada xml file
    `boolean` | `ignoreTextures()` Says if the option "no_textures" is active
    `void` | `submitLines()` Fire LoadingListener what ColladaModel implements
    `void` | `submitTriangles()` Fire LoadingListener what ColladaModel implements

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### l

          private DataAssembler.LoadingListener l

    - #### ignoreTex

          private boolean ignoreTex

    - #### daePath

          private java.lang.String daePath

    - #### tris

          private java.util.ArrayList<Triangle> tris

    - #### lins

          private java.util.ArrayList<Line> lins

  - ### Constructor Detail

    - #### DescriptorCommon

          public DescriptorCommon(java.util.Properties colladaMetaData,
                                  DataAssembler.LoadingListener lstnr)

  - ### Method Detail

    - #### addTriangles

          public void addTriangles(java.util.ArrayList<Triangle> subList)

      Add Triangles to master cache
      Parameters:
        `subList` -

    - #### addLines

          public void addLines(java.util.ArrayList<Line> subList)

      Add Lines to master cache
      Parameters:
        `subList` -

    - #### submitTriangles

          public void submitTriangles()

      Fire LoadingListener what ColladaModel implements

    - #### submitLines

          public void submitLines()

      Fire LoadingListener what ColladaModel implements

    - #### ignoreTextures

          public boolean ignoreTextures()

      Says if the option "no_textures" is active
      Returns:

    - #### getDaePath

          public java.lang.String getDaePath()

      returns current Location of collada xml file
      Returns: